> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_agents.md).

# iai agents

Deploy AI agents with policies, routines, and tools

## Synopsis

Manage deployment of agents to InteractiveAI projects.

## Options

```
  -h, --help   help for agents
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](/cli/iai.md) - InteractiveAI's CLI
* [iai agents activate](/cli/iai_agents_activate.md) - Activate a deactivated agent in a project
* [iai agents catalog](/cli/iai_agents_catalog.md) - List available agent types and versions
* [iai agents compatibility-matrix](/cli/iai_agents_compatibility-matrix.md) - Show agent version to schema version compatibility
* [iai agents create](/cli/iai_agents_create.md) - Create an agent in a project
* [iai agents deactivate](/cli/iai_agents_deactivate.md) - Deactivate an agent in a project
* [iai agents delete](/cli/iai_agents_delete.md) - Delete an agent from a project
* [iai agents describe](/cli/iai_agents_describe.md) - Describe an agent in detail
* [iai agents diff](/cli/iai_agents_diff.md) - Compare two revisions of an agent
* [iai agents list](/cli/iai_agents_list.md) - List agents in a project
* [iai agents log-fields](/cli/iai_agents_log-fields.md) - List available fields in structured logs
* [iai agents logs](/cli/iai_agents_logs.md) - Show logs for an agent
* [iai agents port-forward](/cli/iai_agents_port-forward.md) - Forward a local port to an agent
* [iai agents restart](/cli/iai_agents_restart.md) - Restart an agent in a project
* [iai agents revisions](/cli/iai_agents_revisions.md) - List revisions of an agent
* [iai agents schema](/cli/iai_agents_schema.md) - Display the JSON Schema for agent configuration
* [iai agents update](/cli/iai_agents_update.md) - Update an agent in a project


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_agents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
